Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0010719 [DCSS] Bug Report crash sometimes 2016-10-06 02:49 2016-12-12 14:36
Reporter johnnyzero View Status public  
Assigned To neil
Priority normal Resolution done  
Status closed   Product Branch 0.19 ancient branch
Summary 0010719: Arena mode - Assertion failure: mon->foe != MHITYOU
Description Looped some arena games for testing and hit the following assertion failure:
ASSERT(!crawl_state.game_is_arena() || mon->foe != MHITYOU) in 'mon-behv.cc' at line 297 fai
led.


A crash dump is attached. The crash does not happen on every arena game; looping games may be necessary to reproduce the crash.
Additional Information
Tags No tags attached.
Attached Files txt file icon crash-Arena-20161005-203531.txt [^] (46,430 bytes) 2016-10-06 02:49 [Show Content]

- Relationships

-  Notes
(0031112)
johnnyzero (reporter)
2016-10-06 04:00

This is result of monster generation in mon-death.cc::_make_derived_undead(). The foe of the generated monster is always set to MHITYOU.
(0031134)
neil (administrator)
2016-10-14 21:46

Fixed in trunk (0.19-a0-1886-gd64a0f0), thanks!

- Issue History
Date Modified Username Field Change
2016-10-06 02:49 johnnyzero New Issue
2016-10-06 02:49 johnnyzero File Added: crash-Arena-20161005-203531.txt
2016-10-06 04:00 johnnyzero Note Added: 0031112
2016-10-14 21:46 neil Note Added: 0031134
2016-10-14 21:46 neil Status new => resolved
2016-10-14 21:46 neil Fixed in Branch => 0.19 development branch
2016-10-14 21:46 neil Resolution open => done
2016-10-14 21:46 neil Assigned To => neil
2016-12-12 14:36 johnnyzero Status resolved => closed


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker